## org.apache.cassandra.cql
Class DropIndexStatement

    java.lang.Object
      org.apache.cassandra.cql.DropIndexStatement

    public class DropIndexStatement

extends java.lang.Object

Field Summary
`java.lang.String` `index`

Constructor Summary
`DropIndexStatement(java.lang.String indexName)`

Method Summary
`CFMetaData` `generateCFMetadataUpdate(java.lang.String keyspace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    public final java.lang.String index

Constructor Detail

### DropIndexStatement

    public DropIndexStatement(java.lang.String indexName)

Method Detail

### generateCFMetadataUpdate

    public CFMetaData generateCFMetadataUpdate(java.lang.String keyspace)
                                        throws InvalidRequestException,
                                               ConfigurationException,
                                               java.io.IOException

  Throws:
    `InvalidRequestException`
    `ConfigurationException`
    `java.io.IOException`

Copyright © 2013 The Apache Software Foundation